Bug 198533 - Make preload/link-header-preload-imagesrcset.html work on DPR != 1
Summary: Make preload/link-header-preload-imagesrcset.html work on DPR != 1
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Rob Buis
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-06-04 09:04 PDT by Rob Buis
Modified: 2019-06-19 21:37 PDT (History)
6 users (show)

See Also:


Attachments
Patch (8.78 KB, patch)
2019-06-04 09:17 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews121 for ios-simulator-wk2 (2.50 MB, application/zip)
2019-06-04 11:32 PDT, Build Bot
no flags Details
Patch (8.80 KB, patch)
2019-06-04 12:26 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-highsierra (3.07 MB, application/zip)
2019-06-04 13:33 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews124 for ios-simulator-wk2 (2.77 MB, application/zip)
2019-06-04 14:15 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-highsierra (3.11 MB, application/zip)
2019-06-04 14:18 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-highsierra-wk2 (2.97 MB, application/zip)
2019-06-04 14:26 PDT, Build Bot
no flags Details
Patch (10.66 KB, patch)
2019-06-05 01:05 PDT, Rob Buis
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rob Buis 2019-06-04 09:04:04 PDT
In r246045 preload/link-header-preload-imagesrcset.html was expected to FAIL on iOS. Change the test so it will take DPR into account and PASS on iOS.
Comment 1 Rob Buis 2019-06-04 09:17:43 PDT
Created attachment 371291 [details]
Patch
Comment 2 Build Bot 2019-06-04 11:32:37 PDT
Comment on attachment 371291 [details]
Patch

Attachment 371291 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12374598

New failing tests:
imported/w3c/web-platform-tests/preload/dynamic-adding-preload-imagesrcset.html
Comment 3 Build Bot 2019-06-04 11:32:39 PDT
Created attachment 371311 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.14.5
Comment 4 Rob Buis 2019-06-04 12:26:55 PDT
Created attachment 371318 [details]
Patch
Comment 5 Build Bot 2019-06-04 13:33:21 PDT
Comment on attachment 371318 [details]
Patch

Attachment 371318 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12376547

New failing tests:
imported/w3c/web-platform-tests/preload/link-header-preload-imagesrcset.html
Comment 6 Build Bot 2019-06-04 13:33:23 PDT
Created attachment 371328 [details]
Archive of layout-test-results from ews101 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 7 Build Bot 2019-06-04 14:15:54 PDT
Comment on attachment 371318 [details]
Patch

Attachment 371318 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12376658

New failing tests:
imported/w3c/web-platform-tests/preload/dynamic-adding-preload-imagesrcset.html
imported/w3c/web-platform-tests/preload/link-header-preload-imagesrcset.html
Comment 8 Build Bot 2019-06-04 14:15:55 PDT
Created attachment 371330 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.14.5
Comment 9 Build Bot 2019-06-04 14:18:43 PDT
Comment on attachment 371318 [details]
Patch

Attachment 371318 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12376675

New failing tests:
imported/w3c/web-platform-tests/preload/link-header-preload-imagesrcset.html
Comment 10 Build Bot 2019-06-04 14:18:45 PDT
Created attachment 371332 [details]
Archive of layout-test-results from ews115 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 11 Build Bot 2019-06-04 14:26:48 PDT
Comment on attachment 371318 [details]
Patch

Attachment 371318 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/12376855

New failing tests:
imported/w3c/web-platform-tests/preload/link-header-preload-imagesrcset.html
Comment 12 Build Bot 2019-06-04 14:26:49 PDT
Created attachment 371335 [details]
Archive of layout-test-results from ews104 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 13 Rob Buis 2019-06-05 01:05:31 PDT
Created attachment 371382 [details]
Patch
Comment 14 youenn fablet 2019-06-19 15:01:59 PDT
Please make sure to upstream this one to WPT
Comment 16 WebKit Commit Bot 2019-06-19 21:36:18 PDT
Comment on attachment 371382 [details]
Patch

Clearing flags on attachment: 371382

Committed r246629: <https://trac.webkit.org/changeset/246629>
Comment 17 WebKit Commit Bot 2019-06-19 21:36:19 PDT
All reviewed patches have been landed.  Closing bug.
Comment 18 Radar WebKit Bug Importer 2019-06-19 21:37:21 PDT
<rdar://problem/51928210>